This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 783066 - Review Request: LogService - DIET middleware logging service
Review Request: LogService - DIET middleware logging service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrien Devresse
Fedora Extras Quality Assurance
:
Depends On: 783061
Blocks: 783071
  Show dependency treegraph
 
Reported: 2012-01-19 04:00 EST by Haïkel Guémar
Modified: 2012-03-14 22:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: LogService-2.8.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-11 21:43:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
adev88: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Haïkel Guémar 2012-01-19 04:00:56 EST
Spec URL: http://hguemar.fedorapeople.org/diet/LogService.spec
SRPM URL: http://hguemar.fedorapeople.org/diet/LogService2.8.0-1.fc16.src.rpm
Description: LogService is a logging service used by the DIET grid middleware
Comment 1 Haïkel Guémar 2012-01-19 04:04:24 EST
Sorry, there was a typo in the previous SRPM URL 
SRPM URL: http://hguemar.fedorapeople.org/diet/LogService-2.8.0-1.fc16.src.rpm
Comment 2 Haïkel Guémar 2012-02-14 05:26:27 EST
To make it work with fedora-review:
Spec URL: http://hguemar.fedorapeople.org/diet/LogService.spec
SRPM URL: http://hguemar.fedorapeople.org/diet/LogService-2.8.0-1.fc16.src.rpm
Comment 3 Adrien Devresse 2012-02-14 06:03:47 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[-]: MUST Rpmlint output is silent.

rpmlint LogService-debuginfo-2.8.0-1.fc18.i686.rpm

LogService-debuginfo.i686: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint LogService-devel-2.8.0-1.fc18.i686.rpm

LogService-devel.i686: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint LogService-2.8.0-1.fc18.i686.rpm

LogService.i686: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint LogService-2.8.0-1.fc18.src.rpm

LogService.src: I: enchant-dictionary-not-found en_US
LogService.src:61: E: hardcoded-library-path in %{buildroot}/lib/systemd/system/
LogService.src:62: E: hardcoded-library-path in %{buildroot}/lib/systemd/system/
LogService.src:127: E: hardcoded-library-path in /lib/systemd/system/%{upstream_name}.service
LogService.src: W: invalid-url Source0: LogService-2.8.0.tar.gz
1 packages and 0 specfiles checked; 3 errors, 1 warnings.



[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.



rpmlint LogService-debuginfo-2.8.0-1.fc18.i686.rpm

LogService-debuginfo.i686: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint LogService-devel-2.8.0-1.fc18.i686.rpm

LogService-devel.i686: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint LogService-2.8.0-1.fc18.i686.rpm

LogService.i686: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint LogService-2.8.0-1.fc18.src.rpm

LogService.src: I: enchant-dictionary-not-found en_US
LogService.src:61: E: hardcoded-library-path in %{buildroot}/lib/systemd/system/
LogService.src:62: E: hardcoded-library-path in %{buildroot}/lib/systemd/system/
LogService.src:127: E: hardcoded-library-path in /lib/systemd/system/%{upstream_name}.service
LogService.src: W: invalid-url Source0: LogService-2.8.0.tar.gz
1 packages and 0 specfiles checked; 3 errors, 1 warnings.

Minor Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5

  -> EPEL 5 not targeted, minor issues

[!]: MUST Rpmlint output is silent.

 -> Minor warnings and systemd related error, nothing critical

[!]: SHOULD %check is present and all tests pass.
 -> not mandatory
Comment 4 Haïkel Guémar 2012-02-14 13:51:46 EST
New Package SCM Request
=======================
Package Name: LogService
Short Description: DIET middleware logging service
Owners: hguemar
Branches: f15 f16 el5 el6
InitialCC: hguemar
Comment 5 Jon Ciesla 2012-02-14 14:14:05 EST
Git done (by process-git-requests).

Added f17.  adev, please take ownership of review BZs.
Comment 6 Fedora Update System 2012-02-27 14:58:14 EST
LogService-2.8.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/LogService-2.8.0-1.fc17
Comment 7 Fedora Update System 2012-02-27 14:59:15 EST
LogService-2.8.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/LogService-2.8.0-1.fc16
Comment 8 Fedora Update System 2012-02-27 15:00:03 EST
LogService-2.8.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/LogService-2.8.0-1.fc15
Comment 9 Fedora Update System 2012-02-27 17:28:54 EST
LogService-2.8.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-03-11 21:43:59 EDT
LogService-2.8.0-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-03-14 22:21:26 EDT
LogService-2.8.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-03-14 22:33:10 EDT
LogService-2.8.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.